import requests
url = "https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID}"
payload = { "batch": [{ "imageLink": "https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png" }] }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID}")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"batch\": [\n {\n \"imageLink\": \"https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png\"\n }\n ]\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
batch: [{imageLink: 'https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png'}]
})
};
fetch('https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"batch\": [\n {\n \"imageLink\": \"https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID}"
payload := strings.NewReader("{\n \"batch\": [\n {\n \"imageLink\": \"https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'batch' => [
[
'imageLink' => 'https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"batch": [
{
"imageLink": "https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png"
}
]
}
'{
"predictionId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "SUBMITTED"
}{
"predictionId": "fd110486-f168-47c0-a419-1518a4840589",
"status": "READY",
"message": "<string>"
}Image metadata enrichment use case
In the image metadata enrichment use case, the LLM ingests a text containing either a base64-encoded image or a public HTTP/HTTPS or Google Cloud Storage (gs://) image link and routes the image to a multimodal model. A JSON response is returned that contains an imageMetadata dictionary with a list of keywords, subcategories, and keyword synonyms.
The POST request obtains and indexes prediction information related to the specified use case, and returns a unique predictionId and status of the request. The predictionId can be used later in the GET request to retrieve the results.
import requests
url = "https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID}"
payload = { "batch": [{ "imageLink": "https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png" }] }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.post("https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID}")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"batch\": [\n {\n \"imageLink\": \"https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png\"\n }\n ]\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
batch: [{imageLink: 'https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png'}]
})
};
fetch('https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"batch\": [\n {\n \"imageLink\": \"https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png\"\n }\n ]\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID}"
payload := strings.NewReader("{\n \"batch\": [\n {\n \"imageLink\": \"https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'batch' => [
[
'imageLink' => 'https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://{APPLICATION_ID}.applications.lucidworks.com/ai/async-prediction/image-metadata-enrichment/{MODEL_ID} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"batch": [
{
"imageLink": "https://i.postimg.cc/T3Gggmrx/blushing-happymushroom.png"
}
]
}
'{
"predictionId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "SUBMITTED"
}{
"predictionId": "fd110486-f168-47c0-a419-1518a4840589",
"status": "READY",
"message": "<string>"
}Headers
Path Parameters
Body
Response
OK
This is the response to the POST prediction request submitted for a specific useCase and modelId.
The current status of the prediction. Allowed values are:
-
SUBMITTED - The POST request was successful and the response has returned the
predictionIdandstatusthat is used by the GET request. -
ERROR - An error was generated when the GET request was sent.
-
READY - The results associated with the
predictionIdare available and ready to be retrieved. -
RETRIEVED - The results associated with the
predictionIdare returned successfully when the GET request was sent.
"SUBMITTED"
Was this page helpful?